API referenceAnalytics

GET /analytics/facebook/page-insights

Facebook Page insights in Zernio's envelope (default page_media_view, page_post_engagements, page_follows; also page_views_total, page_video_views, page_video_view_time, content_monetization_earnings, monetization_approximate_earnings). At most 89 days, default the last 30. followers_gained / followers_lost are listed in unavailableMetrics

GET
/analytics/facebook/page-insights

Authorization

BearerAuth
headerAuthorizationBearer <token>

API key sk_...

Query Parameters

accountId*string

Facebook account id

metrics?string

Comma-separated

fromDate?string

Default 30 days ago

Formatdate
toDate?string

Default today

Formatdate
since?string

Alias of fromDate

until?string

Alias of toDate

metricType?string

Default total_value

Value in"total_value""time_series"

Response Body

{success, accountId, platform, dateRange, metricType, metrics, unavailableMetrics?, dataDelay}

application/json
  1. response
Example Request
curl -X GET 'https://example.com/api/v1/analytics/facebook/page-insights?accountId=string'
Example Response
{}